Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Add support for GHC 7.2.1-rc1 #14

Closed
hvr opened this Issue · 2 comments

2 participants

@hvr
Owner

The current version dependancy on base is too strict for ghc-7.2.1-rc1's bundled base-4.4.0.0 library, the following patch fixes the stable branch's network-2.3.0.4

diff --git a/network.cabal b/network.cabal
index 3901886..a44c24d 100644
--- a/network.cabal
+++ b/network.cabal
@@ -39,7 +39,7 @@ library
       Network.Socket.ByteString.MsgHdr

   build-depends:
-    base >= 3 && < 4.4,
+    base >= 3 && < 4.5,
     bytestring < 1.0,
     parsec >= 2.0 && < 3.2
@bmillwood

Looks like f0bd712 fixed this, so this issue can be closed (I don't have permission to do so).

@hvr hvr changed the title from Build broken for GHC 7.2.1-rc1 to Add support for GHC 7.2.1-rc1
@hvr
Owner

For the record, network-2.3.0.5 is the first version after 2.3.0.4 that was compatible with GHC 7.2

@hvr hvr closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.